/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Represents a data transfer object (DTO) for an activity log.
 * @export
 * @interface ActivityLogDto
 */
export interface ActivityLogDto {
    /**
     * 
     * @type {string}
     * @memberof ActivityLogDto
     */
    'id'?: string;
    /**
     * 
     * @type {string}
     * @memberof ActivityLogDto
     */
    'apiPath'?: string;
    /**
     * 
     * @type {string}
     * @memberof ActivityLogDto
     */
    'httpAction'?: string;
    /**
     * 
     * @type {string}
     * @memberof ActivityLogDto
     */
    'controllerName'?: string | null;
    /**
     * 
     * @type {string}
     * @memberof ActivityLogDto
     */
    'actionName'?: string | null;
    /**
     * 
     * @type {string}
     * @memberof ActivityLogDto
     */
    'userId'?: string;
    /**
     * 
     * @type {string}
     * @memberof ActivityLogDto
     */
    'activityTimestamp'?: string;
}

